; ---------------------------------------------------------------------------------
; Fonte numerica para LCD de 2 linhas e 16 colunas na familia 18F        31/01/2016
;
; Esta fonte e' dividida em tres partes:
;
;  1 - "halfsz2x3F18eep_font.inc" .... arquivo de desenho dos caracteres
;                                      residente na EEPROM.
;
;  2 - "halfsz2x3F18eep_chars.inc" ... arquivo de caracteres a serem
;                                      definidos na CGRAM do LCD.
;
;  3 - "halfsz2x3F18eep_src.inc" ..... arquivo de controle com funcoes
;                                      para exibicao de caracteres no LCD.
;
;  Ver documentacao e modo de usar no arquivo "halfsz2x3F18eep_src.inc".
;
; ---------------------------------------------------------------------------------



; ---------------------------------------------------------------------------------
; Definicao do grupo de caracteres.
;
; Este arquivo gera uma tabela na memoria flash que sera usada para enderecar
; os caracteres da fonte.
;
; Os elementos serao carregados na CGRAM do LCD para poder formar os caracteres.
; 
; Apenas 8 elementos podem ser definidos na CGRAM do LCD.
;
; ---------------------------------------------------------------------------------
halfsz_charset  

c000     DB     0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F
                ; xxxxx  
                ; xxxxx 
                ; 
                ;  
                ;  
                ; 
                ; xxxxx  
                ; xxxxx 


c001     DB     0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F
                ; 
                ; 
                ; 
                ;  
                ;  
                ; 
                ; xxxxx  
                ; xxxxx 

c002     DB     0x1F,0x1F,0x00,0x00,0x00,0x00,0x00,0x00
                ; xxxxx  
                ; xxxxx 
                ; 
                ;  
                ;  
                ; 
                ; 
                ; 


c003     DB     0x07,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x07
                ;   xxx  
                ;  xxxx  
                ;  xxxx  
                ;  xxxx  
                ;  xxxx  
                ;  xxxx  
                ;  xxxx  
                ;   xxx  

c004     DB     0x1C,0x1E,0x1E,0x1E,0x1E,0x1E,0x1E,0x1C
                ; xxx   
                ; xxxx   
                ; xxxx   
                ; xxxx    
                ; xxxx     
                ; xxxx  
                ; xxxx   
                ; xxx     


c005     DB     0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00
                ; xx 
                ; xx 
                ;  
                ; 
                ;  
                ; 
                ; 
                ; 

c006     DB     0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x18
                ; 
                ; 
                ;  
                ; 
                ;  
                ; 
                ; xx 
                ; xx 

c007     DB     0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x03
                ; 
                ; 
                ; 
                ; 
                ; 
                ; 
                ;    xx
                ;    xx
